"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionModule = void 0;
const create_nestjs_middleware_module_1 = require("create-nestjs-middleware-module");
const express_session_1 = __importDefault(require("express-session"));
const retriesMiddleware_1 = require("./retriesMiddleware");
exports.SessionModule = (0, create_nestjs_middleware_module_1.createModule)((options) => {
    const { retries, session, retriesStrategy } = options;
    let middleware = (0, express_session_1.default)(session);
    if (retries !== undefined) {
        middleware = (0, retriesMiddleware_1.createRetriesMiddleware)(middleware, retries, retriesStrategy);
    }
    return middleware;
});
//# sourceMappingURL=index.js.map